Subject: bug#10709: Feature request: vc-hg should activate smerge-mode for conflicts

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 Feb 2012 14:32:38 -0500

>> > I guess you need to get hg to generate standard conflict markers. Ref:
> You could configure diff3 as the default merge program.
> However, in my experience, using smerge-mode on the "internal:merge"
> results of hg worked, too.

So you're saying that hg uses standard conflict markers in its
internal:merge code?  Wonderful.

>> Actually I guess vc-hg would need some changes too.
> Yep, I guess you'd need changes on both ends.

Apparently only vc-hg.el needs to be changed, then.

        Stefan